## texlive-bin 2018.20180824.48463

=== debian/changelog ===
texlive-bin (2018.20180824.48463-1) unstable; urgency=medium

  * New upstream version 2018.20180824.48463
  * remove upstream included patches

 -- Norbert Preining <preining@debian.org>  Fri, 24 Aug 2018 11:12:56 +0900

texlive-bin (2018.20180710.48169-1) unstable; urgency=medium

  * New upstream checkout 2018.20180710.48169
  * update patches, remove upstream ones

 -- Norbert Preining <preining@debian.org>  Tue, 10 Jul 2018 11:43:24 +0900

texlive-bin (2018.20180416.47457-5) unstable; urgency=medium

  * Fix t4ht being completely broken due to %%~ expansion to 
    SELFAUTOPARENT (Closes: #902334)

 -- Norbert Preining <preining@debian.org>  Mon, 25 Jun 2018 15:36:03 +0900

texlive-bin (2018.20180416.47457-4) unstable; urgency=medium

  [ Norbert Preining ]
  * cherry-picking fixed from upstream svn
    - upstream-svn47712-dvidvi-error-reporting
    - upstream-svn47723-dvidvi-cmd-line-error-reporting
      better error reporting for dvidvi as well as gcc warning fixes
    - upstream-svn47721-mendex30
    - upstream-svn47722-mendex-rename-readme
      mendex update to 3.0, switch default encoding to utf8
    -	introduce the \expanded primitive:
      upstream-svn47741-expanded-primitive-pdftex
      upstream-svn47742-pdftex-expanded-test-fixes
      upstream-svn47745-eptex-expanded
    - upstream-svn47776-ptexenc-doc-fixes
      fix links to upstream projects
    - upstream-svn47799-dvipdfmx-try-suffix
      let xdvipdfmx check .dvi and .xdv extensions like other progs

  [ Hilmar Preusse ]
  * Minor fixes for disdvi.1 (Closes: #899341), dt2dv.1 (Closes: #900043)
    and gftodvi.1 (Closes: #900245)
    Thanks to Bjarni Ingi Gislason.

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2018 22:06:27 +0900

texlive-bin (2018.20180416.47457-3) unstable; urgency=medium

  * cherry-picking fixes from upstream svn:
    - upstream-svn47469-dvipdfm-x-Fix-a-bug-which-causes-a-segfault-with-1-2
      xetex segfaults with uncommon png formats 
      https://sourceforge.net/p/xetex/bugs/151/
    - upstream-svn47476-m-tx-0.63a
      update m-tx to 0.63a which fixes FTBFS on hurd (Closes: #896518)
    - upstream-svn47477-ptexdir-fix-a-regression-for-discontinuous-kinsoku-t
      ptex regression fix
    - upstream-svn47506-typo
      typo in the changelog name
    -	upstream-svn47625-recover-to-give-tounicode-entries-for-ligatures
      search didn't work for ligatures
      https://tex.stackexchange.com/questions/430054/failing-search-for-words-with-ligatures-after-update
    - upstream-svn47626-ptexdir-More-strict-check-kanji-token
      inconsisten behavior of p-engines
  * add information about SDE in tex.man and etex.man (Closes: #897627)
  * use pkg-config as fallback for freetype configuration (Closes: #892446)

 -- Norbert Preining <preining@debian.org>  Mon, 07 May 2018 10:53:51 +0900

texlive-bin (2018.20180416.47457-2) unstable; urgency=medium

  * synctex fixes
    - install synctex_version.h
  * include upstream bug fix for m-tx (Closes: #896077)
  * bump libsynctex soname to 2 (Closes: #895980)
    - follow upstream in using synctex_parser_api_level

 -- Norbert Preining <preining@debian.org>  Sat, 21 Apr 2018 07:34:39 +0900

texlive-bin (2018.20180416.47457-1) unstable; urgency=medium

  * New upstream version: Sources of TeX Live 2018: 2018.20180416.47457
  * Upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 16 Apr 2018 13:00:49 +0900

texlive-bin (2018.20180404.47274-1) experimental; urgency=medium

  * New upstream version 2018.20180404.47274

 -- Norbert Preining <preining@debian.org>  Wed, 04 Apr 2018 10:31:50 +0900

texlive-bin (2018.20180313.46939-1) experimental; urgency=medium

  * New upstream version 2018.20180313.46939
  * update patches

 -- Norbert Preining <preining@debian.org>  Tue, 13 Mar 2018 09:48:18 +0900

texlive-bin (2018.20180119.46378-1) experimental; urgency=medium

  * New upstream version 2018.20180119.46378
  * update patches to 2018
  * switch to included poppler, Debian's is too old
  * build both libtexlua52 and libtexlua53
  * update copyright for new embedded libs and packages

 -- Norbert Preining <preining@debian.org>  Fri, 19 Jan 2018 13:08:35 +0900
