=== debian/control ===
Source: texlive-bin
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends:
  autoconf (>= 2.69),
  automake (>= 1:1.13.1),
  bison,
  debhelper (>= 9),
  dh-autoreconf,
  flex,
  libcairo2-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libgd-dev,
  libgmp-dev,
  libgraphite2-dev,
  libgs-dev,
  libharfbuzz-dev (>= 0.9.18-3),
  libicu-dev,
  libmpfr-dev,
  libncurses5-dev | libncurses-dev,
  libpaper-dev,
  libpixman-1-dev (>= 0.32.4),
  libpng-dev,
  libpotrace-dev (>= 1.11),
  libtool (>= 2.4.2),
  libxaw7-dev,
  libxi-dev,
  libzzip-dev (>= 0.12),
  m4 (>= 1.4.16),
  sharutils,
  texinfo,
  time,
  zlib1g-dev | libz-dev
Standards-Version: 4.1.2
Homepage: https://www.tug.org/texlive/
Vcs-Git: https://salsa.debian.org/tex-team/texlive-bin.git
Vcs-Browser: https://salsa.debian.org/tex-team/texlive-bin

Package: texlive-binaries
Architecture: any
Multi-Arch: foreign
Depends: libptexenc1 (>= ${source:Version}), 
  libptexenc1 (<< ${source:Version}.1~), 
  libkpathsea6 (>= ${source:Version}), 
  libkpathsea6 (<< ${source:Version}.1~), 
  libsynctex2 (>= ${source:Version}),
  libsynctex2 (<< ${source:Version}.1~),
  libtexlua52 (>= ${source:Version}), 
  libtexlua52 (<< ${source:Version}.1~), 
  libtexlua53 (>= ${source:Version}), 
  libtexlua53 (<< ${source:Version}.1~), 
  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc], 
  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc], 
  t1utils,
  ${shlibs:Depends}, ${misc:Depends}, 
  tex-common (>= 6), perl, dpkg (>= 1.15.4) | install-info
Recommends: texlive-base
Replaces: texlive-metapost (<< 2010), texlive-base (<< 2010), ptex-bin, mendexk, jmpost, luatex (<< 2014), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), tex4ht (<< 20160814), texlive-lang-japanese (<< 2017)
Conflicts: mendexk, makejvf, jmpost
Breaks: texlive-base (<< 2016), jtex-bin, multex-bin, luatex (<< 2014), tex-common (<< 6), musixtex (<< 1:1.20.ctan20151216-3), pmx (<< 2.7.0.ctan20150301-3), m-tx (<< 0.61.ctan20151217-2), gregorio (<= 2.3-1), context (<< 2016), tex4ht (<< 20160814),
  texlive-htmlxml (<< 2016.20160829),
  texlive-lang-japanese (<< 2017),
  texlive-plain-generic (<< 2017.20170809)
Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
Description: Binaries for TeX Live
 This package contains all the binaries of TeX Live packages.
 .
 Note that this package alone has hardly any functionality.  Rather,
 choose the texlive-* packages you want to use, e.g.
 texlive-latex-recommended or context

Package: libkpathsea6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: path search library for TeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: path search library for TeX (development part)
 This package contains the static library and header files for the
 Kpathsea[rch] library, which implements generic path searching,
 configuration, and TeX-specific file searching.

Package: libptexenc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: texlive-binaries (<< 2014), texlive-base (<< 2014)
Description: TeX Live: pTeX encoding library
 library for encoding support in pTeX, a Japanese TeX engine.

Package: libptexenc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
Description: TeX Live: ptex encoding library (development part)
 This package contains the static library and header files for the
 ptexenc library, a library for encoding support in pTeX, a Japanese
 TeX engine.

Package: libsynctex2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: SyncTeX parser library
 Library for SyncTeX parsing support.

Package: libsynctex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsynctex2 (= ${binary:Version})
Description: Tex Live: SyncTeX parser library (development part)
 This package contains the static library and header files for the SyncTex
 parser library.

Package: libtexlua52
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: Lua 5.2, modified for use with LuaTeX
 The Lua 5.2 library as used within LuaTeX.

Package: libtexlua53
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: Lua 5.3, modified for use with LuaTeX
 The Lua 5.3 library as used within LuaTeX.

Package: libtexlua52-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtexlua52 (= ${binary:Version})
Description: Tex Live: Lua 5.2, modified for use with LuaTeX (development part)
 This package contains the static library and header files for the texlua
 library.

Package: libtexlua53-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtexlua53 (= ${binary:Version})
Description: Tex Live: Lua 5.3, modified for use with LuaTeX (development part)
 This package contains the static library and header files for the texlua
 library.

Package: libtexluajit2
Section: libs
Architecture: amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: TeX Live: LuaJIT, modified for use with LuaJITTeX
 The LuaJIT library as used within LuaJITTeX.

Package: libtexluajit-dev
Section: libdevel
Architecture: amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 powerpc
Multi-Arch: same
Depends: ${misc:Depends}, libtexluajit2 (= ${binary:Version})
Description: Tex Live: LuaJIT, modified for use with LuaJITTeX (development part)
 This package contains the static library and header files for the texluajit
 library.
