## texlive-bin 2018.20180907.48586

=== debian/changelog ===
texlive-bin (2018.20180907.48586-2) unstable; urgency=medium

  * cherry-pick from upstream:
    - svn48676-uptex-fix-substring-bug
    - svn48697-writet1-fix

 -- Norbert Preining <preining@debian.org>  Wed, 19 Sep 2018 13:10:58 +0900

texlive-bin (2018.20180907.48586-1) unstable; urgency=medium

  * New upstream version 2018.20180907.48586 (Closes: #907784)
  * include dvipdfmx toUnicode support fix
  * fix building dvisvgm for non-texlive builds and external libs

 -- Norbert Preining <preining@debian.org>  Sun, 09 Sep 2018 22:13:50 +0900
