=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
   debhelper (>= 9),
   dh-autoreconf,
   flex,
+  libbrotli-dev,
   libcairo2-dev,
   libfontconfig1-dev,
   libfreetype6-dev,
@@ -26,8 +27,10 @@
   libpng-dev,
   libpotrace-dev (>= 1.11),
   libtool (>= 2.4.2),
+  libwoff-dev,
   libxaw7-dev,
   libxi-dev,
+  libxxhash-dev,
   libzzip-dev (>= 0.12),
   m4 (>= 1.4.16),
   sharutils,
