## texlive-bin 2018.20181104.49075

=== debian/changelog ===
texlive-bin (2018.20181104.49075-2) unstable; urgency=medium

  * revert luatex to previous version (Closes: #913586)

 -- Norbert Preining <preining@debian.org>  Wed, 14 Nov 2018 00:36:35 +0900

texlive-bin (2018.20181104.49075-1) unstable; urgency=medium

  * New upstream version 2018.20181104.49075
    (several dvipdfmx fixes, updates to dvisvgm, new luatex)
  * depend on system teckit library

 -- Norbert Preining <preining@debian.org>  Thu, 01 Nov 2018 17:25:01 +0900
