=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
   libpixman-1-dev (>= 0.32.4),
   libpng-dev,
   libpotrace-dev (>= 1.11),
+  libteckit-dev,
   libtool (>= 2.4.2),
   libwoff-dev,
   libxaw7-dev,
