=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
   texinfo,
   time,
   zlib1g-dev | libz-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Homepage: https://www.tug.org/texlive/
 Vcs-Git: https://salsa.debian.org/tex-team/texlive-bin.git
 Vcs-Browser: https://salsa.debian.org/tex-team/texlive-bin
