=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 export SHELL=/bin/bash
 export CONFIG_SHELL=/bin/bash
+
+# this ships out the test logs when a test failed, set it in any case
+export VERBOSE=1
 
 #
 # the configure code already checks a lot, but it does not catch
@@ -121,6 +124,7 @@
 	--with-system-libpng			\
 	--with-system-gd			\
 	--with-system-cairo 			\
+	--with-system-teckit	\
 	--with-x				\
 	--with-mf-x-toolkit			\
 	--with-xdvi-x-toolkit=xaw		\
@@ -242,7 +246,3 @@
 SHLIBDEPS = -l debian/libkpathsea6/usr/lib/* \
 		-l debian/libptexenc1/usr/lib/* \
 		-l debian/libsynctex2/usr/lib/* \
-		-l debian/libtexlua52/usr/lib/* \
-		-l debian/libtexlua53/usr/lib/*
-
-ifeq ($(WITHLUAJIT), yes)
